%define anolis_release 1
%global out out123
%global fmt fmt123
%global syn syn123

Name:    mpg123
Version: 1.31.1
Release: %{anolis_release}%{?dist}
Summary: Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3
License: LGPLv2+
URL:     https://mpg123.org

Source0: https://mpg123.org/download/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: libtool
BuildRequires: make
BuildRequires: pkgconfig(alsa)

Requires: %{name}-libs = %{version}-%{release}

%global _summary %{summary}

%global _description \
Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3 (most \
commonly MPEG 1.0 layer 3 aka MP3), as well as re-usable decoding and output \
libraries.

%description %{_description}

%package plugins-pulseaudio
Summary:       Pulseaudio output plug-in for %{name}
BuildRequires: pkgconfig(libpulse-simple)
Requires:      %{name} = %{version}-%{release}
Supplements:   (mpg123 and pulseaudio%{?_isa})

%description plugins-pulseaudio %{_description}

Pulseaudio output plug-in.

%package libs
Summary:   %{_summary}
Provides:  lib%{name} = %{version}-%{release}
Obsoletes: lib%{name} < 1.23.4-1

%description libs %{_description}

%package devel
Summary:       %{_summary}
BuildRequires: /usr/bin/doxygen
Requires:  %{name}-libs = %{version}-%{release}
Provides:  lib%{name}-devel = %{version}-%{release}
Obsoletes: lib%{name}-devel < 1.23.4-1
Obsoletes: %{name}-libs-devel < 1.23.8-3

%description devel %{_description}

Development files for decoding and output libraries.

%prep
%autosetup

%build
%configure --enable-modules=yes --with-default-audio=alsa \
  --with-audio=alsa,pulse,oss
%make_build
pushd doc
  doxygen doxygen.conf
popd

%install
%make_install

%files
%doc doc/README.remote
%{_bindir}/%{name}
%{_bindir}/%{name}-id3dump
%{_bindir}/%{name}-strip
%{_bindir}/%{out}
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{out}.1*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/output_alsa.*
%{_libdir}/%{name}/output_dummy.*
%{_libdir}/%{name}/output_oss.*

%files plugins-pulseaudio
%{_libdir}/%{name}/output_pulse.*

%files libs
%license COPYING
%doc NEWS
%{_libdir}/lib%{name}.so.0*
%{_libdir}/lib%{out}.so.0*
%{_libdir}/lib%{syn}.so.0*

%files devel
%doc NEWS.lib%{name} doc/html doc/examples doc/BENCHMARKING doc/README.gain
%{_includedir}/%{name}.h
%{_includedir}/%{out}.h
%{_includedir}/%{fmt}.h
%{_includedir}/%{syn}.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{out}.so
%{_libdir}/lib%{syn}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/lib%{out}.pc
%{_libdir}/pkgconfig/lib%{syn}.pc

%changelog
* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.31.1-1
- New version 1.31.1

* Mon Apr 18 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.29.3-1
- Init package from upstream v1.29.3
